Skip to main content
POST
/
networks
/
offergroups
curl --request POST \ --url https://api.eflow.team/v1/networks/offergroups \ --header 'Content-Type: application/json' \ --header 'X-Eflow-Api-Key: <api-key>' \ --data ' { "name": "Holiday Offers", "offer_group_status": "active", "network_advertiser_id": 13, "network_offer_ids": [ 1 ], "currency_id": "USD" } '
{
  "network_offer_group_id": 6,
  "network_id": 1,
  "network_advertiser_id": 13,
  "name": "Holiday Offers",
  "internal_notes": "",
  "offer_group_status": "active",
  "is_caps_enabled": true,
  "daily_conversion_cap": 0,
  "weekly_conversion_cap": 0,
  "monthly_conversion_cap": 0,
  "global_conversion_cap": 0,
  "daily_payout_cap": 0,
  "weekly_payout_cap": 0,
  "monthly_payout_cap": 0,
  "global_payout_cap": 0,
  "daily_revenue_cap": 0,
  "weekly_revenue_cap": 0,
  "monthly_revenue_cap": 0,
  "global_revenue_cap": 0,
  "daily_click_cap": 0,
  "weekly_click_cap": 1,
  "monthly_click_cap": 0,
  "global_click_cap": 0,
  "time_created": 1774725628,
  "time_saved": 1774725628,
  "relationship": {
    "advertiser": {
      "network_advertiser_id": 13,
      "network_id": 1,
      "name": "William Fowler Inc.",
      "account_status": "active"
    },
    "labels": {
      "total": 0,
      "entries": []
    },
    "network_offer_ids": [
      1
    ],
    "remaining_caps": {
      "remaining_daily_payout_cap": -1000,
      "remaining_daily_revenue_cap": -1000,
      "remaining_daily_conversion_cap": -1000,
      "remaining_daily_click_cap": -1000,
      "remaining_weekly_payout_cap": -1000,
      "remaining_weekly_revenue_cap": -1000,
      "remaining_weekly_conversion_cap": -1000,
      "remaining_weekly_click_cap": 1,
      "remaining_monthly_payout_cap": -1000,
      "remaining_monthly_revenue_cap": -1000,
      "remaining_monthly_conversion_cap": -1000,
      "remaining_monthly_click_cap": -1000,
      "remaining_global_payout_cap": -1000,
      "remaining_global_revenue_cap": -1000,
      "remaining_global_conversion_cap": -1000,
      "remaining_global_click_cap": -1000
    }
  },
  "is_soft_cap": false
}
Create a new offer group. Optionally configure labels, internal notes, and caps (conversion, payout, revenue, and click caps at daily, weekly, monthly, and global levels).

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Body

application/json
name
string
required

Name of the offer group.

offer_group_status
enum<string>
required

Status of the offer group.

Available options:
active,
paused,
deleted
network_advertiser_id
integer
required

ID of the advertiser for the offer group.

network_offer_ids
integer[]
required

IDs of the offers to include in the offer group. The offers must belong to the specified advertiser.

currency_id
string
required

Currency for the offer group. See the List Currencies endpoint for available values.

labels
string[]

Labels to assign to this offer group.

internal_notes
string

Internal notes about the offer group.

is_caps_enabled
boolean

Whether caps are enabled. When false, all cap values are ignored.

is_soft_cap
boolean

When true, caps are soft (tracking continues but a notification is sent). When false, caps are hard (tracking stops when the cap is reached).

daily_conversion_cap
integer

Limit to the number of unique conversions in one day.

weekly_conversion_cap
integer

Limit to the number of unique conversions in one week (Monday midnight to Sunday 23h59:59).

monthly_conversion_cap
integer

Limit to the number of unique conversions in one month.

global_conversion_cap
integer

Limit to the total number of unique conversions at the offer level.

daily_payout_cap
number

Limit to the affiliate's payout for one day.

weekly_payout_cap
number

Limit to the affiliate's payout for a week (Monday midnight to Sunday 23h59:59).

monthly_payout_cap
number

Limit to the affiliate's payout for one month.

global_payout_cap
number

Limit to the affiliate's total payout at the offer level.

daily_revenue_cap
number

Limit to the network's revenue for one day.

weekly_revenue_cap
number

Limit to the network's revenue for a week (Monday midnight to Sunday 23h59:59).

monthly_revenue_cap
number

Limit to the network's revenue for one month.

global_revenue_cap
number

Limit to the network's total revenue at the offer level.

daily_click_cap
integer

Limit to the number of unique clicks in one day.

weekly_click_cap
integer

Limit to the number of unique clicks in a week (Monday midnight to Sunday 23h59:59).

monthly_click_cap
integer

Limit to the number of unique clicks in one month.

global_click_cap
integer

Limit to the total number of unique clicks at the offer level.

Response

200 - application/json
network_offer_group_id
integer

Unique offer group ID.

network_id
integer

Network ID.

network_advertiser_id
integer

ID of the advertiser for the offer group.

name
string

Name of the offer group.

internal_notes
string

Internal notes about the offer group.

offer_group_status
enum<string>

Status of the offer group. Can be one of the following values: active, paused or deleted.

Available options:
active,
paused,
deleted
is_caps_enabled
boolean

Whether caps are enabled. When false, voids all types of caps and custom caps.

daily_conversion_cap
integer

Limit to the number of unique conversions in one day.

weekly_conversion_cap
integer

Limit to the number of unique conversions in one week (Monday midnight to Sunday 23h59:59).

monthly_conversion_cap
integer

Limit to the number of unique conversions in one month.

global_conversion_cap
integer

Limit to the total number of unique conversions at the offer level.

daily_payout_cap
number

Limit to the affiliate's payout for one day.

weekly_payout_cap
number

Limit to the affiliate's payout for a week (Monday midnight to Sunday 23h59:59).

monthly_payout_cap
number

Limit to the affiliate's payout for one month.

global_payout_cap
number

Limit to the affiliate's total payout at the offer level.

daily_revenue_cap
number

Limit to the network's revenue for one day.

weekly_revenue_cap
number

Limit to the network's revenue for a week (Monday midnight to Sunday 23h59:59).

monthly_revenue_cap
number

Limit to the network's revenue for one month.

global_revenue_cap
number

Limit to the network's total revenue at the offer level.

daily_click_cap
integer

Limit to the number of unique clicks in one day.

weekly_click_cap
integer

Limit to the number of unique clicks in a week (Monday midnight to Sunday 23h59:59).

monthly_click_cap
integer

Limit to the number of unique clicks in one month.

global_click_cap
integer

Limit to the total number of unique clicks at the offer level.

time_created
integer

Unix timestamp of creation.

Example:

1734455015

time_saved
integer

Unix timestamp of last update.

Example:

1734455015

relationship
object
is_soft_cap
boolean

Whether soft caps are enabled for this offer group.